Debian Bug report logs - #601119
xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: liushiwei <liushiwei@gmail.com>

Date: Sat, 23 Oct 2010 15:30:01 UTC

Severity: minor

Tags: moreinfo, upstream

Found in version xorg-server/2:1.7.7-8

Fixed in version 2:1.12.3-1

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Sat, 23 Oct 2010 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to liushiwei <liushiwei@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 23 Oct 2010 15:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: liushiwei <liushiwei@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson
Date: Sat, 23 Oct 2010 23:26:51 +0800
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-core
Version: 2:1.7.7-8
Severity: minor

*** Please type your report below this line ***

this patch fix this bug.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Nov  1  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2196092 Oct 10 20:54 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:08.0 VGA compatible controller: Silicon Motion, Inc. SM712 LynxEM+ (rev b0)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 4562 Oct 19 23:41 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
Section "ServerLayout"

       Identifier     "X.org Configured"

       Screen      0  "Screen0" 0 0

EndSection



Section "Module"

       Load  "fb"

       Load  "shadow"

       Load  "vbe"

       Load  "exa"

       Load  "shadowfb"

       Load  "extmod"

       Load  "dbe"

       Load  "vgahw"

       Load  "xaa"

EndSection



Section "Monitor"

       Identifier   "Monitor0"

       VendorName   "Monitor Vendor"

       ModelName    "Monitor Model"

       Option       "DPMS" "false"

       HorizSync    30-70      #30-85

       VertRefresh  50-80      #40-75



       DisplaySize   197    117     # 1024x600  130 dpi

       ModeLine     "640x480@60" 25.2 640 656 752 800 480 490 492 525

       ModeLine     "640x480@70" 31.5 640 664 704 832 480 489 492 520

       ModeLine     "640x480@72" 31.5 640 656 720 840 480 481 484 500

       ModeLine     "640x480@85" 36.0 640 696 752 832 480 481 484 509

       ModeLine     "800x480@60" 29.6 800 816 896 992 480 481 484 497

       ModeLine     "800x480@70" 35.8 800 832 912 1024 480 481 484 500

       ModeLine     "800x480@75" 38.5 800 832 912 1024 480 481 484 502

       ModeLine     "800x480@80" 44.6 800 840 920 1040 480 481 484 505

       ModeLine     "800x600@56" 36.0 800 824 896 1024 600 601 603 625

       ModeLine     "800x600@60" 40.0 800 840 968 1056 600 601 605 628

       ModeLine     "800x600@72" 50.0 800 856 976 1040 600 637 643 666

       ModeLine     "800x600@75" 49.5 800 816 896 1056 600 601 604 625

       ModeLine     "800x600@85" 56.2 800 832 896 1048 600 601 604 631

       ModeLine     "1024x768@60" 65.0 1024 1048 1184 1344 768 771 777 806

       ModeLine     "1024x768@70" 75.0 1024 1048 1184 1328 768 771 777 806

       ModeLine     "1024x768@75" 78.8 1024 1040 1136 1312 768 769 772 800

       ModeLine     "1024x768@85" 94.5 1024 1072 1168 1376 769 769 772 808

       ModeLine     "1024x600@60" 49.0 1024 1064 1168 1312 600 601 604 622

       ModeLine     "1024x600@70" 58.1 1024 1072 1176 1328 600 601 604 625

       ModeLine     "1024x600@75" 63.2 1024 1080 1184 1344 600 601 604 627

       ModeLine     "1024x600@85" 62.8 1024 1080 1192 1360 600 601 604 630

       ModeLine     "1280x960@60" 108.0 1280 1376 1488 1800 960 961 964 1000

       ModeLine     "1280x960@85" 148.5 1280 1344 1504 1728 960 961 964 1011

       ModeLine     "1280x1024@60" 108.0 1280 1328 1440 1680 1024 1025 1028 1066

       ModeLine     "1280x768@60" 80.1 1280 1344 1480 1680 768 769 772 795

       ModeLine     "1280x768@75" 103.0 1280 1360 1496 1712 768 768 771 802

EndSection



Section "Device"



       Identifier  "Card0"

       Driver      "siliconmotion"

       #VendorName  "Silicon Motion, Inc."

       #BoardName   "SM712 LynxEM+"

       #BusID       "PCI:0:8:0"

       ### Available Driver options are:-

       ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",

       ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"

       ### [arg]: arg optional

       Option     "pci_burst"                  "true"  # [<bool>]

       #Option     "dualhead"  "true"

       #Option     "fifo_conservative"         # [<bool>]

       #Option     "fifo_moderate"             # [<bool>]

       #Option     "fifo_aggressive"           # [<bool>]

       #Option     "pci_retry"                 # [<bool>]

       #Option     "NoAccel"                   "true" # [<bool>]

       #Option     "set_mclk"                  "40000"  # <freq>

       #Option     "show_cache"                # [<bool>]

       Option     "HWCursor"                   "True" # [<bool>]

       #Option     "AccelMethod"  "EXA"

       #Option     "SWCursor"                  "True" # [<bool>]

       #Option     "ShadowFB"                  # [<bool>]

       #Option     "Rotate"                    # [<str>]

       Option     "VideoKey" "45000"                   # <i>

       #Option     "ByteSwap"                  # [<bool>]

       #Option     "Interlaced"                # [<bool>]

       Option     "UseBIOS"                    "False" # [<bool>]

       #Option     "ZoomOnLCD"                 "true" # [<bool>]

       Option      "PanelSize"  "1024x600"

       Option      "CSCVideo"  "false"

       #Option      "UseFBDev"         "true"



EndSection



Section "Screen"

       Identifier "Screen0"

       Device     "Card0"

       Monitor    "Monitor0"

       DefaultDepth    16

       SubSection "Display"

       Viewport   0 0

               Depth     8

               modes           "1024x600" "800x600" "640x480"

       #       modes           "1024x768@75"

       #       modes           "800x600@60"

               #modes          "800x480@60"

       #       modes           "640x480@60"

       EndSubSection

       SubSection "Display"

       #       Viewport   0 0

               Depth     16

       #       modes           "1024x768@75"

       #       modes           "800x600@60"

               modes           "1024x600@60"

               #modes          "640x480@60"

       EndSubSection

       SubSection "Display"

       #       Viewport   0 0

               Depth     24

               modes           "1024x600" "800x600" "640x480"

       #       modes           "1024x768@75"

       #       modes           "800x600@60"

       #       modes           "800x480@60"

       #       modes           "640x480@60"

       EndSubSection

EndSection





Kernel version (/proc/version):
Linux version 2.6.36-lemote2f-bfs (root@2f-nas) (gcc version 4.4.5
(Debian 4.4.5-4) ) #2 PREEMPT Sat Oct 23 03:24:49 CST 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 17848 Mar  9  2010 /var/log/Xorg.1.log
-rw-r--r-- 1 root root  7524 Oct 23 21:49 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-sb1-bcm91250a mips Debian
Current Operating System: Linux yeeloong 2.6.36-lemote2f-bfs #2
PREEMPT Sat Oct 23 03:24:49 CST 2010 mips64
Kernel command line: usbcore.autosuspend=1 libata.force=80c
console=tty loglevel=0 root=UUID=dae1edfc-04b6-4cf3-b9d5-b187bfa69a10
ro resume=/dev/sda3 PMON_VER=LM8089-1.4.9a EC_VER=PQ1D28
machtype=lemote-yeeloong-2f-8.9inches rd_start=0x84000000
rd_size=0x85a613
Build Date: 10 October 2010  12:09:32PM
xorg-server 2:1.7.7-8 (Cyril Brulebois <kibi@debian.org>)
Current version of pixman: 0.16.4
       Before reporting problems, check http://wiki.x.org
       to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
       (++) from command line, (!!) notice, (II) informational,
       (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Oct 23 21:49:26 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
       Entry deleted from font path.
(==) FontPath set to:
       /usr/share/fonts/X11/misc,
       /usr/share/fonts/X11/100dpi/:unscaled,
       /usr/share/fonts/X11/75dpi/:unscaled,
       /usr/share/fonts/X11/Type1,
       /usr/share/fonts/X11/100dpi,
       /usr/share/fonts/X11/75dpi,
       /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
       built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
       If no devices become available, reconfigure udev or disable
AutoAddDevices.
(II) Loader magic: 0x6051a0
(II) Module ABI versions:
       X.Org ANSI C Emulation: 0.4
       X.Org Video Driver: 6.0
       X.Org XInput driver : 7.0
       X.Org Server Extension : 2.0
(++) using VT number 8

(--) PCI:*(0:0:8:0) 126f:0712:0000:0000 Silicon Motion, Inc. SM712
LynxEM+ rev 176, Mem @ 0x40000000/16777216
(II) "extmod" will be loaded. This was enabled by default and also
specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also
specified in the config file.
(II) "glx" will be loaded by default.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) "dri2" will be loaded by default.
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules/libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.1.0
       ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.1.0
       ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 2.5.0
       ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "shadowfb"
(II) Loading /usr/lib/xorg/modules/libshadowfb.so
(II) Module shadowfb: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       Module class: X.Org Server Extension
       ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       Module class: X.Org Server Extension
       ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 0.1.0
       ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.2.1
       ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.13.0
       Module class: X.Org Server Extension
       ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.0.0
       ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.1.0
       ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "siliconmotion"
(II) Loading /usr/lib/xorg/modules/drivers/siliconmotion_drv.so
(II) Module siliconmotion: vendor="X.Org Foundation"
       compiled for 1.7.7, module version = 1.7.3
       Module class: X.Org Video Driver
       ABI class: X.Org Video Driver, version 6.0
(II) SMI: driver (version 1.7.3) for Silicon Motion Lynx chipsets: Lynx,
       LynxE, Lynx3D, LynxEM, LynxEM+, Lynx3DM, Cougar3DR, MSOC
(II) Primary Device is: PCI 00@00:08:0
(WW) Falling back to old probe method for siliconmotion
(--) Assigning device section with no busID to primary device
(--) Chipset LynxEM+ found
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Reloading /usr/lib/xorg/modules/libvgahw.so
(**) SMI(0): Depth 16, (--) framebuffer bpp 16
(==) SMI(0): RGB weight 565
(==) SMI(0): Default visual is TrueColor
(**) SMI(0): Option "pci_burst" "true"
(**) SMI(0): Option "HWCursor" "True"
(**) SMI(0): Option "VideoKey" "45000"
(**) SMI(0): Option "UseBIOS" "False"
(**) SMI(0): Option "PanelSize" "1024x600"
(**) SMI(0): Option "CSCVideo" "false"
(**) SMI(0): PCI Burst enabled
(==) SMI(0): PCI Retry enabled
(**) SMI(0): Using Hardware Cursor
(**) SMI(0): Option: Video key set to 0x0000AFC8
(**) SMI(0): Option: UseBIOS disabled.
(--) SMI(0): Chipset: "LynxEM+"
(==) SMI(0): Dual head disabled
(==) SMI(0): Using XAA acceleration architecture

Backtrace:
0: (vdso) (4C+0xffffffff) [(nil)]
Segmentation fault at address 0x3c4

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the The X.Org Foundation support
        at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.


udev information:
P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd

P: /devices/platform/i8042/serio1/input/input2/event2
N: input/event2
S: char/13:66
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66
/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input2/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/virtual/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65

DRM Information from dmesg:


-- System Information:
Debian Release: squeeze/sid
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.36-lemote2f-bfs (PREEMPT)
Locale: LANG=zh_CN.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-core depends on:
ii  keyboard-configurat 1.57                 system-wide keyboard preferences
ii  libaudit0           1.7.13-1+b2          Dynamic library for security audit
ii  libc6               2.11.2-6             Embedded GNU C Library: Shared lib
ii  libdrm2             2.4.21-1~squeeze3    Userspace interface to kernel DRM
ii  libgcrypt11         1.4.5-2              LGPL Crypto library - runtime libr
ii  libpciaccess0       0.12.0-1             Generic PCI access library for X
ii  libpixman-1-0       0.16.4-1             pixel-manipulation library for X a
ii  libselinux1         2.0.96-1             SELinux runtime shared libraries
ii  libudev0            163-1                libudev shared library
ii  libxau6             1:1.0.6-1            X11 authorisation library
ii  libxdmcp6           1:1.0.3-2            X11 Display Manager Control Protoc
ii  libxfont1           1:1.4.1-2            X11 font rasterisation library
ii  udev                163-1                /dev/ and hotplug management daemo
ii  xserver-common      2:1.7.7-8.0.loongson common files used by various X ser
ii  xserver-xorg        1:7.5+7              the X.Org X server

Versions of packages xserver-xorg-core recommends:
ii  libgl1-mesa-dri               7.7.1-4    A free implementation of the OpenG

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.1    100 dpi fonts for X
ii  xfonts-75dpi                  1:1.0.1    75 dpi fonts for X
ii  xfonts-scalable               1:1.0.1-1  scalable fonts for X

-- no debconf information
[999_loongson-mips-sarea.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Sat, 23 Oct 2010 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 23 Oct 2010 16:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 601119@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: liushiwei <liushiwei@gmail.com>, 601119@bugs.debian.org
Subject: Re: Bug#601119: xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson
Date: Sat, 23 Oct 2010 18:38:48 +0200
[Message part 1 (text/plain, inline)]
Hi,

liushiwei <liushiwei@gmail.com> (23/10/2010):
> Package: xserver-xorg-core
> Version: 2:1.7.7-8

> this patch fix this bug.

thanks. It seems it also applied to the upstream server-1.9 branch
(verbatim), and to the upstream master branch (once the context has
been tweaked a little, because of the nds32 addition).

Shall I open a bug upstream (or submit a patch on their mailing list)
for you? Or will you? I think it would be nice to have a proper bug
report on their tracker because just “Caught signal 11” isn't much of
a report. ;)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream and moreinfo. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 06:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Sun, 27 Feb 2011 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 27 Feb 2011 23:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 601119@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: liushiwei <liushiwei@gmail.com>, 601119@bugs.debian.org
Subject: Re: Bug#601119: xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson
Date: Mon, 28 Feb 2011 00:19:56 +0100
[Message part 1 (text/plain, inline)]
Hi,

Cyril Brulebois <kibi@debian.org> (23/10/2010):
> thanks. It seems it also applied to the upstream server-1.9 branch
> (verbatim), and to the upstream master branch (once the context has
> been tweaked a little, because of the nds32 addition).
> 
> Shall I open a bug upstream (or submit a patch on their mailing
> list) for you? Or will you? I think it would be nice to have a
> proper bug report on their tracker because just “Caught signal 11”
> isn't much of a report. ;)

ping?

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Sun, 07 Oct 2012 22:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to liu shiwei <liushiwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Oct 2012 22:33:08 GMT) Full text and rfc822 format available.

Message #22 received at 601119@bugs.debian.org (full text, mbox):

From: liu shiwei <liushiwei@gmail.com>
To: 594684@bugs.debian.org, 601119@bugs.debian.org
Subject: new patch
Date: Mon, 8 Oct 2012 06:31:24 +0800
[Message part 1 (text/plain, inline)]
let  sm712  not run  inb()  outb() .
[97_inb_outb.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Sun, 07 Oct 2012 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to liu shiwei <liushiwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Oct 2012 22:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 601119@bugs.debian.org (full text, mbox):

From: liu shiwei <liushiwei@gmail.com>
To: 601119@bugs.debian.org
Subject: Re: new patch
Date: Mon, 8 Oct 2012 06:34:08 +0800
2012/10/8 liu shiwei <liushiwei@gmail.com>:
> let  sm712  not run  inb()  outb() .

this patch  for  xserver-xorg-video-siliconmotion.

please close #601119.



Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Sat, 16 Mar 2013 10:54:04 GMT) Full text and rfc822 format available.

Notification sent to liushiwei <liushiwei@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Mar 2013 10:54:04 GMT) Full text and rfc822 format available.

Message #32 received at 601119-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 601119-done@bugs.debian.org
Subject: Re: Bug#601119: xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson
Date: Sat, 16 Mar 2013 10:51:19 +0000
Version: 2:1.12.3-1

Closing this at the submitter's request.

The main issue is in xserver-xorg-video-siliconmotion (#601119) and it
is now possible to fix it without changes to xserver-xorg-core.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601119; Package xserver-xorg-core. (Fri, 22 Mar 2013 13:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Mar 2013 13:33:11 GMT) Full text and rfc822 format available.

Message #37 received at 601119@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 601119@bugs.debian.org
Subject: Re: Bug#601119: xserver-xorg-core: Caught signal 11 (Segmentation fault). cpu:mipsel loongson
Date: Fri, 22 Mar 2013 13:30:22 +0000
Control: block 594684 by 601119

I'd like to correct what I said when closing #601119:  the remaining
issue is now #594684

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Added indication that bug 601119 blocks 594684,669134 Request was from Steven Chamberlain <steven@pyro.eu.org> to 601119-submit@bugs.debian.org. (Fri, 22 Mar 2013 13:33:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Apr 2013 07:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:23:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.